Chromium Code Reviews
Help | Chromium Project | Sign in
(108)

Issue 11299059: Do not specify 'compile' on ios_* Try Builders. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by M-A Ruel
Modified:
2 years, 6 months ago
Reviewers:
lliabraa
CC:
chromium-reviews, Nicolas Sylvain, petermayo (OOO until Jan 5), cmp+cc_chromium.org, stuartmorgan
Visibility:
Public.

Description

Do not specify 'compile' on ios_* Try Builders. Comment out ios_rel_device; it can't be used until it has a test or has its main target named 'all' like everyone else. All ios_* Try Builders can't build 'all', they have a 'All' target, breaking the CQ. This is a problem in the code source. TBR=lliabraa@chromium.org BUG= Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=168419

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -2 lines) Patch
M projects.py View 1 chunk +1 line, -2 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 5 (0 generated)
M-A Ruel
2 years, 6 months ago (2012-11-17 13:12:23 UTC) #1
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/maruel@chromium.org/11299059/1
2 years, 6 months ago (2012-11-17 13:12:42 UTC) #2
commit-bot: I haz the power
Change committed as 168419
2 years, 6 months ago (2012-11-17 13:13:00 UTC) #3
stuartmorgan
What do you mean "a problem in the source code"? *Every* platform's All target is ...
2 years, 6 months ago (2012-11-18 06:16:20 UTC) #4
M-A Ruel
2 years, 6 months ago (2012-11-18 12:51:28 UTC) #5
On 2012/11/18 06:16:20, stuartmorgan wrote:
> What do you mean "a problem in the source code"? *Every* platform's All target
> is called "All" in the actual build system. iOS uses the same build/all.gyp
> 'All' target that every other platform uses.
> 
> Is there a bot config mistake somewhere that should be mapping the target
'All'
> to a bot step named 'all' or something? What source code are you referring to?

As a matter of fact, you are right, I'll change the code to use 'All' instead,
'all' is a ninja-specific pseudo-target. Once that's live, I'll revert this CL.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be